[Mongrel] Gem versioning and auto installs

Neil Wilson aldursys at gmail.com
Sat Jun 3 04:02:52 EDT 2006


Gem drives me daft sometimes.

It gives you this wonderful ability to specify a platform for a gem, but
forgets to provide a command line switch to select the platform. Politely it
asks you, which is all very well when you are installing on one machine
interactively, but no good at all on a cluster of 15 machines from a
Capistrano script.

Is there any way to get gem to automatically select the correct platform for
a particular version of Mongrel?

Failing that can I respectively request slightly different version numbers
for the differing platforms to assist automatic installs.

Thanks

-- 
Neil Wilson
Aldur Systems
-------------- next part --------------
An HTML attachment was scrubbed...
URL: http://rubyforge.org/pipermail/mongrel-users/attachments/20060603/69e470da/attachment.htm 


More information about the Mongrel-users mailing list